// 
// This file is part of MolMeccano, a cross-platform C++ chemical library.
//
// Copyright (C) 2001-2007 Alexey Nikitin
//
#include "Array.h"

//#include <malloc.h>

#include <memory>
//using namespace std;

namespace MM
{

void * raw_memory_alloc( size_t size )
{
    return operator new ( size );
//    return malloc( size );
}

void raw_memory_free( void *memblock )
{
    operator delete ( memblock );
//    free( memblock );
}

}//MM
